package com.citygis.web.controller;


import com.citygis.common.core.domain.AjaxResult;
import com.citygis.web.domain.TabUser;
import com.citygis.web.service.ITabUserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * 登录用户 前端控制器
 * </p>
 *
 * @author citygis
 * @since 2025-01-13
 */
@Api(tags = "登录用户")
@RestController
@RequestMapping("/web/tab-user")
public class TabUserController {

    @Resource
    ITabUserService tabUserService;

    @ApiOperation("记录登录用户")
    @PostMapping("insertTabUser")
    public AjaxResult insertTabUser(@RequestBody TabUser tabUser){
        return tabUserService.insertTabUser(tabUser);
    }
}

