package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author citygis
 * @since 2025-01-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("TAB_FILE_PARH")
@ApiModel(value="TabFileParh对象", description="")
public class TabFileParh implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableField("ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @TableField("FILEPATH")
    private String filepath;

    @TableField("TYPE")
    private String type;

    @TableField("IP")
    private String ip;

    @TableField("DESCRIPTION")
    private String description;


}
