package com.citygis.web.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: zyl
 * @CreateTime: 2025-01-09
 * @Description: topic数量
 * @Version: 1.0
 */
@Data
public class TopicCount {

    @ApiModelProperty("发送量")
    private String sendCount;

    @ApiModelProperty("接收量")
    private String receiveCount;

    @ApiModelProperty("时间")
    private String time;

    @ApiModelProperty("topic名称")
    private String tabName;

}
