package com.citygis.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.citygis.web.domain.TabLinkTitle;
import com.citygis.web.domain.TabSystemSpace;

import java.util.List;

/**
 * <p>
 * 系统空间 Mapper 接口
 * </p>
 *
 * @author citygis
 * @since 2025-01-17
 */
public interface TabSystemSpaceMapper extends BaseMapper<TabSystemSpace> {

    List<TabSystemSpace> getSpace(TabSystemSpace tabSystemSpace);

    List<TabSystemSpace> getSpaceDetailByFilepath(TabSystemSpace tabSystemSpace);

    TabLinkTitle getLinkTitle(TabSystemSpace tabSystemSpace);

}
