package com.citygis.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.citygis.common.annotation.PushToKafka;
import com.citygis.web.domain.KafkaPushTest;

/**
 * @Name NotiKafkaService
 * @Version 1.0
 * @Date 2025-02-21 13:55:15
 * @Author harri
 * @Description: send to kafka service
 */
public interface NotiKafkaService {

    /**
     * get push params from monitoring register table
     */
    @PushToKafka()
    public KafkaPushTest sendNotification(int monitorId);
}
