package com.citygis.common.entity;

import lombok.Data;

/**
 * @Name KafkaEntity
 * @Version 1.0
 * @Date 2025-02-20 17:13:44
 * @Author harri
 * @Description: common kafka entity
 */

@Data
public class KafkaEntity {
    /**
     * kafka topic
     */
    private String topic;

    /**
     * kafka ip
     */
    private String bootstrapAddress;

    /**
     * kafka port
     */
    private String port;

    /**
     * kafka key
     */
    private String key;

    /**
     * kafka value
     */
    private String value;
}
