package com.citygis;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * 启动程序
 * 
 * @author citygis
 */
@SpringBootApplication(exclude = { DataSourceAutoConfiguration.class })
@MapperScan("com.citygis.web.mapper")
//@EnableScheduling
public class LiuTongYiApplication
{
    public static void main(String[] args)
    {
           // System.setProperty("spring.devtools.restart.enabled", "false");
           SpringApplication.run(LiuTongYiApplication.class, args);
           System.out.println("六统一启动成功");
    }
}
